<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/21/2012 *
 * ===================                          Last change: 10/21/2012 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : grade_functions.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Functions for ext-                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer ext-                             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Generates a option "list" for all created grade ids
function generateGradeDataIdOptions ($defaultId = NULL) {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__][$defaultId])) {
		// Look for all
		$grades = getArrayFromTable('grade_data', array('grade_id', 'grade_name'), 'grade_id');

		// Init entries arrays
		$gradeKeys = array();
		$gradeValues = array();

		// Load all entries
		foreach ($grades as $grade) {
			// Add it to arrays
			array_push($gradeKeys  , $grade['grade_id']);
			array_push($gradeValues, $grade['grade_name']);
		} // END - foreach

		// Generate option "list"
		$GLOBALS[__FUNCTION__][$defaultId] = generateOptions(
			'/ARRAY/',
			$gradeKeys,
			$gradeValues,
			$defaultId,
			'',
			'',
			array(),
			'',
			TRUE,
			FALSE
		);
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__][$defaultId];
}

// Generates a option "list" for all created "parent" grade ids
function generateGradeDataParentIdOptions ($defaultId = NULL) {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__][$defaultId])) {
		// Default is no parent (NULL)
		$whereStatement = '';

		// Is default set?
		if (!is_null($defaultId)) {
			// Then exlude it
			$whereStatement = sprintf('WHERE `grade_id` != %s', bigintval($defaultId));
		} // END - if

		// Look for all
		$grades = getArrayFromTable('grade_data', array('grade_id', 'grade_name'), 'grade_id', 'ASC', $whereStatement);

		// Init entries arrays
		$gradeKeys = array();
		$gradeValues = array();

		// Are there entries?
		foreach ($grades as $grade) {
			// Add it to arrays
			array_push($gradeKeys  , $grade['grade_id']);
			array_push($gradeValues, $grade['grade_name']);
		} // END - foreach

		// Generate option "list"
		$GLOBALS[__FUNCTION__][$defaultId] = generateOptions(
			'/ARRAY/',
			$gradeKeys,
			$gradeValues,
			$defaultId
		);
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__][$defaultId];
}

// Generates a selection box for grades
function generateAdminGradeDataSelectionBox ($gradeId, $defaultId = NULL) {
	// May only be called as admin
	assert(isAdmin());
	assert(isValidId($gradeId));

	// Load template
	return generateSelectionBoxFromArray(getArrayFromTable('grade_data', array('grade_id', 'grade_name'), 'grade_id'), 'grade_parent_id', $defaultId, '', '', '', $defaultId, '', TRUE, TRUE);
}

// ----------------------------------------------------------------------------
//                             XML call-back functions
// ----------------------------------------------------------------------------

// For 'doing' add grade data, the column-index is required
function addXmlSpecialAdminAddDoGradeData () {
	// So set it all here
	$GLOBALS['__COLUMN_INDEX']['doXmlCallbackFunction']  = 'column';
	$GLOBALS['__XML_ARGUMENTS']['doXmlCallbackFunction']['column_index'] = 'column';
}

// [EOF]
?>
