<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/11/2003 *
 * ===================                          Last change: 12/21/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_secure.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Security related settings                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sicherheitsrelevante Einstellungen               *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent('save_config')) {
	// If salt length is empty or null then we shall generate new passwords
	if (!isPostRequestElementSet('salt_length') || (postRequestElement('salt_length') == '0')) {
		// Generate new passwords for all!
		loadInclude('inc/gen_sql_patches.php');

		// Forget the wrong number!
		unsetPostRequestElement('salt_length');

		// Redirect to logout link
		redirectToUrl('modules.php?module=admin&amp;logout=1');
	} // END - if

	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Prepare content
	$content = array();

	// Loop all scores
	for ($idx = 0; $idx <= 5; $idx++) {
		// Init value
		$content['min_password_score_' . $idx] = '';
	} // END - for

	// Set default
	$content['min_password_score_' . strtolower(getMinPasswordScore())] = ' selected="selected"';

	// Load template
	loadTemplate('admin_config_secure', FALSE, $content);
}

// [EOF]
?>
